Bug 734618 - SME Review Getting Started Guide, Chapter 4
Summary: SME Review Getting Started Guide, Chapter 4
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Deadline: 2011-09-15
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Virtualization_Getting_Started_Guide
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jacquelynn East
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-30 22:30 UTC by Don Dutile
Modified: 2015-07-26 22:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-31 01:07:45 UTC


Attachments (Terms of Use)

Description Don Dutile 2011-08-30 22:30:00 UTC
Description of problem:
SME review of chapter 3 found these errors and/or needed corrections:

(1) 4.2 libvirt and libvirt tools
    (a) RHEV-M description
       Q: Should this really be described in this manual ?
          It is currently not available except on a Windows machine,
          and not available on a Linux machine until RHEV 3.0, which is post
          RHEL6.2 release.
       Suggestion:
        (i) Put a more generalized description of RHEV here.
       (ii) Ask Bhavna Sarathy & Andrew Cathrow 
            (RHEL virt & RHEV product managers)
            what they want here, if anything.

(2) 4.3.1 Virtualized and emulated devices
    (a) second paragraph, second sentence: 
        "The emulated devices do not require a real
        hardware device to back them."
        *false*: emulated ide: better have block storage of some sort backing it
               : emulated 8139: better have a bridge to a network device
               : emulated clock: more-or-less correct, 
                 but derived from host clock
        Recommendation: remove this sentence.
    (b) 3rd paragraph, last sentence:
         "Any device, of the same type and recognized by the Linux kernel, 
           may be used as the backing source device for the emulated drivers."
        Recommendation: after 'same type' add ' -- storage, network, 
                        keyboard, mouse -- '  
                        to give reader a context for "type"

(3) 4.3.4 Guest CPU models
     (a) correction: command line should be: 
             /usr/libexec/qemu-kvm .... most $PATH don't
         include /usr/libexec
     (b) the list of CPU models is incomplete.
         The list should be put in the Admin Guide, and not in the 
            Getting Started Guide;
          -- so add a section to Admin Guide for the output, 
             and provide a pointer to
             that Guide & section in 4.3.4

         btw, here's the output from the command in RHEL6:

x86       Opteron_G3  AMD Opteron 23xx (Gen 3 Class Opteron)
x86       Opteron_G2  AMD Opteron 22xx (Gen 2 Class Opteron)
x86       Opteron_G1  AMD Opteron 240 (Gen 1 Class Opteron)
x86         Westmere  Westmere E56xx/L56xx/X56xx (Nehalem-C)
x86          Nehalem  Intel Core i7 9xx (Nehalem Class Core i7)
x86           Penryn  Intel Core 2 Duo P9xxx (Penryn Class Core 2)
x86           Conroe  Intel Celeron_4x0 (Conroe/Merom Class Core 2)
x86      cpu64-rhel5  QEMU Virtual CPU version (cpu64-rhel5)
x86      cpu64-rhel6  QEMU Virtual CPU version (cpu64-rhel6)

        *NOTE: following is part of output and is *not* supported *
      So, the sentence stating 'A list of supported CPU models can be viewed with the
      qemu-kvm -cpu ?model command.'  is *incorrrect*.  The *above list*,
      which is a short form that the doc then proceeds to say is the supported list,
      is *correct*.
x86           [n270]  Intel(R) Atom(TM) CPU N270   @ 1.60GHz
x86         [athlon]  QEMU Virtual CPU version 0.12.1
x86       [pentium3]
x86       [pentium2]
x86        [pentium]
x86            [486]
x86        [coreduo]  Genuine Intel(R) CPU           T2600  @ 2.16GHz
x86         [qemu32]  QEMU Virtual CPU version 0.12.1
x86          [kvm64]  Common KVM processor
x86       [core2duo]  Intel(R) Core(TM)2 Duo CPU     T7700  @ 2.40GHz
x86         [phenom]  AMD Phenom(tm) 9550 Quad-Core Processor
x86         [qemu64]  QEMU Virtual CPU version 0.12.1

     (c) After listing, it mentions /etc/qemu/target-<arch>.conf
           -- no such file exists on a RHEL6 machine;
           -- it is now located at /usr/share/qemu-kvm/cpu-model/cpu-x86_64.conf
       (d) Recommend not using the "Conroe" as our shining example...
         how about a Nehalem...

     (e) the enforce flag to -cpu should not be documented here; it should be
         documented in the upcoming qemu-kvm cmdline section.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Don Dutile 2011-08-30 22:31:34 UTC
Sorry, 1st sentence in description should state 'chapter 4' not 'chapter 3'....
cut-n-paste error...

Comment 4 Don Dutile 2011-08-31 19:51:45 UTC
3. (a) - I'm not sure what is meant by this. Should I remove the preceding path
the two times qemu-kvm is mentioned?

All command line examples with qemu-kvm should be:
          /usr/libexec/qemu-kvm <blah>

3. (b)

-- I'm confused by your confusion -- what 2 output sections?
   What I do mean in description is that anything in the list after 
   x86      cpu64-rhel6  QEMU Virtual CPU version (cpu64-rhel6)
   is not supported.

3. (d) - I changed the two mentions of Conroe to Nehalem, is that all that
needs to be changed? Is the other information there correct for Nehalem, or if
not, what should it be?

thanks for the change; what other info are you referring to ???

3(e)
see bz 734595


Note You need to log in before you can comment on or make changes to this bug.